Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.support
Class GenericSources

    java.lang.Object
      org.netbeans.spi.project.support.GenericSources

    public class GenericSources

extends Object

Factories for standard `Sources` implementations.

Method Summary
`static Sources` | `genericOnly(Project p)` Lists only one source folder group, of `Sources.TYPE_GENERIC`, containing the project directory, as by `group(org.netbeans.api.project.Project, org.openide.filesystems.FileObject, java.lang.String, java.lang.String, javax.swing.Icon, javax.swing.Icon)`.
`static SourceGroup` | `group(Project p, FileObject rootFolder, String name, String displayName, Icon icon, Icon openedIcon)` Default kind of source folder group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### genericOnly

    public static Sources genericOnly(Project p)

  Lists only one source folder group, of `Sources.TYPE_GENERIC`, containing the project directory, as by `group(org.netbeans.api.project.Project, org.openide.filesystems.FileObject, java.lang.String, java.lang.String, javax.swing.Icon, javax.swing.Icon)`. If you think you need this, look at `ProjectUtils.getSources(org.netbeans.api.project.Project)` first.

  Parameters:
    `p` - a project
  Returns:
    a simple sources implementation

### group

    public static SourceGroup group(Project p,
                                    FileObject rootFolder,
                                    String name,
                                    String displayName,
                                    Icon icon,
                                    Icon openedIcon)

  Default kind of source folder group. Contains everything inside the supplied root folder which belongs to the supplied project and is considered sharable by VCS.

  Parameters:
    `p` - a project
    `rootFolder` - the root folder to use for sources
    `name` - a code name for the source group
    `displayName` - a display name for the source group
    `icon` - a regular icon to use for the source group, or null
    `openedIcon` - an opened variant icon to use, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.